backend:
  name: git-gateway
  repo: ElIvanFX/IvanDeveloper
  branch: main

media_folder: 'public/assets/images'
public_folder: '/assets/images'

collections:
  - name: 'posts'
    label: 'News'
    folder: 'src/content/blogs'
    create: true
    slug: '{{slug}}'
    format: 'frontmatter'
    extension: 'mdx'
    fields:
      - { name: 'title', label: 'Título', widget: 'string' }
      - { name: 'description', label: 'Descripción', widget: 'text' }
      - { name: 'image', label: 'Imagen principal', widget: 'image', required: true }
      - {
          name: 'createdAt',
          label: 'Fecha de creación',
          widget: 'datetime',
          format: 'YYYY-MM-DDTHH:mm:ss.SSSZ',
        }
      - {
          name: 'updatedAt',
          label: 'Fecha de actualización',
          widget: 'datetime',
          format: 'YYYY-MM-DDTHH:mm:ss.SSSZ',
          required: false,
        }
      - { name: 'publish', label: '¿Publicar?', widget: 'boolean', default: true }
      - { name: 'author', label: 'Autor', widget: 'string', required: true }
      - { name: 'authorImage', label: 'Imagen del autor', widget: 'image', required: false }
      - name: 'tags'
        label: 'Etiquetas'
        widget: 'list'
        field: { label: 'Etiqueta', name: 'tag', widget: 'string' }
      - { name: 'body', label: 'Contenido', widget: 'markdown' }